#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	acl
Version		:	2.3.1
Release		:	16.2.0.rel%{?dist}
Summary		:	Access control list utilities
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://savannah.nongnu.org/projects/acl

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Buildrequires	:	autoconf
Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.
This package contains the libacl.so dynamic library which contains
the POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.

%prep
%setup -q -n %{name}-%{version}

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--libexecdir=%{_libexecdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--disable-static				\


%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#removing libtool library
%{__rm} -f %{buildroot}%{_libdir}/lib%{name}.la

%files			
%defattr(-, root,root, 0755)
%doc README
%{_includedir}/%{name}/*.h
%{_includedir}/sys/*.h
%{_bindir}/*
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/lib%{name}.pc
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz
%{_mandir}/man5/*.5.gz
%{_defaultdocdir}/%{name}
%{_datadir}/locale/*

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
